Subject: Re: [rtcweb] draft-hutton-httpbis-connect-protocol-00.txt

From: "Hutton, Andrew" <[email-masked]>
Date: Wed, 23 Jul 2014 12:18:40 +0000

I presented this draft to HTTPBis yesterday and thought I should give rtcweb an update on that discusson.

The draft proposes adding an indication in to HTTP Connect as to what protocol is used within the tunnel and specifically for use with WebRTC. Therefore providing the HTTP Proxy an indication that the tunnel contains real-time media.

The feedback from the HTTP community was that there were no concerns about using the HTTP Connect within RTCWeb in this way and I hope this means we can document the usage in -transports-.

There was no call to adopt the draft during the meeting and there is a need to discuss in HTTPBis the exact naming of the header and what labels should be used. I am hopeful that the draft will be adopted before too long and we can reference it in the -transports- draft.

Regards
Andy

> -----Original Message-----
> From: rtcweb [mailto:[email-masked]] On Behalf Of Hutton,
> Andrew
> Sent: 27 June 2014 04:27
> To: [email-masked]
> Subject: [rtcweb] draft-hutton-httpbis-connect-protocol-00.txt
> 
> 
> I just submitted this draft for which there is a short agenda slot in
> Toronto httpbis wg meeting.
> 
> It was written as a result of our discussion during the recent rtcweb
> interim meeting in Washington DC.
> 
> The draft proposes adding an indication in to HTTP Connect as to what
> protocol is used with the tunnel and specifically for use with WebRTC
> (I.e. TURN/ICE-TCP) so should be of interest to this group.
> 
> Discussion should be on the HTTPBIS list.
> 
> Regards
> Andy
> 
> 
>         Title           : HTTP Connect - Tunnel Protocol For WebRTC
>         Authors         : Andrew Hutton
>                           Justin Uberti
>                           Martin Thomson
> 	Filename        : draft-hutton-httpbis-connect-protocol-00.txt
> 	Pages           : 7
> 	Date            : 2014-06-27
> 
> Abstract:
>    This document describes a mechanism to enable HTTP Clients to
> provide
>    an indication within a HTTP Connect request as to which protocol
> will
>    be used within the tunnel established to the Server identified by
> the
>    target resource.  The tunneled protocol is declared using the
> Tunnel-
>    Protocol HTTP Request header field.  Label usage relating to the use
>    of HTTP Connect by WebRTC clients (e.g. turn, webrtc) are described
>    in this document.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-hutton-httpbis-connect-protocol/
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-hutton-httpbis-connect-protocol-00
> 
> 
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb